Subject: Ticket Assigned - Delivery
From: Splash <[email-masked]>
To: [email-masked]
Date: Wed, 06 Apr 2022 17:13:31 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I ordered through the Splash application, items with the number 9562953190 and the name: Hussam Kilani since the date of 27/3/2022 
and until now I have not received the shipment and I tried to communicate customer service after 3 times trying to contact them, 
they replied that we do not know when the shipment will arrive and you cannot cancel the shipment SO What is the solution ? https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4122593